## LASTERR Retrieve Last Error Message

Section: Flow Control

### Usage

Either returns or sets the last error message. The general syntax for its use is either

      msg = lasterr

which returns the last error message that occured, or

      lasterr(msg)

which sets the contents of the last error message.

### Example

Here is an example of using the `error` function to set the last error, and then retrieving it using lasterr.

    --> try; error('Test error message'); catch; end;
    --> lasterr

    ans =

     Test error message

    -->
    quit

Or equivalently, using the second form:

    --> lasterr('Test message');
    --> lasterr

    ans =

     Test message

    -->
    quit